@echo off
echo.
echo ++++++++++++++++++++++++++++++++++++++++++++++
echo +                                            +
echo +  Install SLP-HELPER as a Service           +
echo +                                            +
echo +  Andrew Sharrad 21st April 2014    v0.03   +
echo +                                            +
echo ++++++++++++++++++++++++++++++++++++++++++++++
rem Andrew Sharrad 21/4/2014
echo.
set "source=%~dp0"
if "%source%x"=="x" (
set source=.\
)
if not exist "%source%nssm.exe" goto notfound
if not exist "%source%php.exe" goto notfound
if not exist "%source%php.ini" goto notfound
if not exist "%source%php_sockets.dll" goto notfound
if not exist "%source%php5.dll" goto notfound
if not exist "%source%slp_helper.php" goto notfound
echo Ensure that you have configured slp_helper.php with the IP addresses of all of your ESXi hosts.
echo For example:
echo.
echo $unicast_ips = array('192.168.1.1','192.168.1.2');
echo.
pause
echo SLP Helper will now be installed as a service running from
echo %source%
echo.
pause
"%source%nssm.exe" install SLP_HELPER "%source%php.exe" "%source%slp_helper.php"
echo Service SLP_HELPER installed
echo.
echo Starting Service...
net start SLP_HELPER
echo.
goto end
:notfound
echo A required file was not found
echo Please ensure that the following files are present:
echo nssm.exe    php.exe
echo php.ini     php_sockets.dll
echo php5.dll    slp_helper.php
:end
pause

